=== debian/changelog ===
blender-doc (3.6-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Nov 2023 19:13:52 +0100

blender-doc (3.6-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Jonathan Rubenstein <jrubcop@gmail.com>  Wed, 01 Nov 2023 15:16:42 +0200

blender-doc (3.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1006255)

 -- Jonathan Rubenstein <jrubcop@gmail.com>  Tue, 17 Oct 2023 18:42:44 +0300
