=== debian/control ===
Source: blender-doc
Section: doc
Priority: optional
Maintainer: Jonathan Rubenstein <jrubcop@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 dh-strip-nondeterminism,
 libjs-mathjax,
 python3-enchant,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 sphinx-common
Standards-Version: 4.6.2
Homepage: https://docs.blender.org/manual/
Vcs-Browser: https://salsa.debian.org/JJRcop/blender-doc
Vcs-Git: https://salsa.debian.org/JJRcop/blender-doc.git -b master

Package: blender-doc
Architecture: all
Depends: ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax
Recommends: blender
Description: Blender Manual by the Blender Foundation
 This package contains the full Blender Manual in HTML format for offline use.
 It features all you need to know to get familiar with 3D modeling,
 video editing, and even digital painting with Blender.
