## blender-doc 4.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 Convenience targets provided for building docs.
 
-- livehtml (default)   to auto build on file changes on host on localhost.
+- html (default)       to build HTML documentation.
+- livehtml             to auto build HTML on file changes on host on localhost.
 - epubpdf              to convert an epub file to PDF.
 
 Translations
@@ -27,6 +28,15 @@
 ---------
 
 - update               to update the repository to the most recent version.
+- format_py            to auto-format Python scripts.
+
+Environment Variables
+---------------------
+
+- NO_INTERSPHINX
+  When non-zero & non-empty any build-targets that run sphinx will not use
+  'intersphinx' (which requires online access).
+
 endef
 # HELP_TEXT (end)
 
@@ -104,29 +114,33 @@
 		--pdf-page-margin-bottom 50 \
 
 check_syntax:
-	@python3 tools_rst/rst_check_syntax.py --long --title --kbd > rst_check_syntax.log
+	@python3 tools/check_source/check_syntax.py --long --title --kbd > rst_check_syntax.log
 	@echo "Lines:" `cat rst_check_syntax.log | wc -l`
-	@python3 tools/open_quickfix_in_editor.py rst_check_syntax.log
+	@python3 tools/utils_ide/open_quickfix_in_editor.py rst_check_syntax.log
 	@rm rst_check_syntax.log
 
 check_structure:
-	@python3 tools_rst/rst_check_images.py
+	@python3 tools/check_source/check_images.py
+	@python3 tools/check_source/check_structure.py
 
 check_spelling:
-	@python3 tools_rst/rst_check_spelling.py
+	@python3 tools/check_source/check_spelling.py
 
 checkout_locale:
-	@python3 ./tools_make/checkout_locale.py
+	@python3 ./build_files/utils/checkout_locale.py
 
 update_po:
-	@python3 ./tools_maintenance/update_po.py
+	@python3 ./tools/translations/update_po.py
 
 report_po_progress:
-	@python3 tools_report/report_translation_progress.py --quiet \
+	@python3 tools/translations/report_translation_progress.py --quiet \
 	         `find locale/ -maxdepth 1 -mindepth 1 -type d -not -iwholename '*.git*' -printf 'locale/%f\n' | sort`
 
 update:
-	@python3 ./tools_make/make_update.py
+	@python3 ./build_files/utils/make_update.py
+
+format_py:
+	@autopep8 --in-place --recursive .
 
 # ----------------------
 # Help for build targets
