=== requirements.txt ===
sphinx==7.4.7

# Sphinx dependencies that are important
Jinja2==3.1.4
Pygments==2.18.0
docutils==0.21.2
snowballstemmer==2.2.0
babel==2.15.0
requests==2.32.3

# Only needed for building translations.
sphinx-intl==2.2.0

# Only needed to match the theme used for the official documentation.
# Without this theme, the default theme will be used.
furo==2024.08.06
sphinx-basic-ng==1.0.0b2

# Only for convenience, allows live updating while editing RST files.
# Access by running:
#   make livehtml
sphinx-autobuild==2024.10.3

# Required for spell-checking
pyenchant
