=== debian/changelog ===
blender-doc (4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Declare binary package Multi-Arch: foreign.
    + Raise Standards-Version to 4.7.2 (no changes needed).
  * debian/copyright:
    + Update for blender-doc 4.3.
    + Update Free Software Foundation address (Lintian).
  * debian/patches:
    + Add a patch to disable quick feedback buttons.
    + Refresh other patches.
  * debian/source/lintian-overrides: remove file; no longer needed.

 -- Jonathan Rubenstein <jrubcop@gmail.com>  Sat, 05 Apr 2025 15:43:01 +0300
