=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
  dh-strip-nondeterminism,
+ furo,
  libjs-mathjax,
  python3-enchant,
  python3-sphinx,
- python3-sphinx-rtd-theme,
  sphinx-common
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://docs.blender.org/manual/
 Vcs-Browser: https://salsa.debian.org/JJRcop/blender-doc
 Vcs-Git: https://salsa.debian.org/JJRcop/blender-doc.git -b master
 
 Package: blender-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  ${sphinxdoc:Depends},
  libjs-mathjax
