=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_OPTIONS += nocheck

%:
	dh $@ --with sphinxdoc

override_dh_auto_clean:
	make clean

override_dh_auto_build:
	export http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=.
	dh_auto_build -- html

override_dh_auto_install:
