=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=auto" \
https://projects.blender.org/blender/blender-manual.git \
refs/heads/blender-v([.\d]+)-release
